#!/bin/bash
set -e
PWD=`pwd`

# WSJT expects to write configuration files in the current directory,
# which also needs to contain CALL3.TXT and TSKY.DAT before starting.
# If those don't currently exist, create them first.
# Put the KVASD binaries from ./bin into your /usr/local/bin/.

RUNDIR=$HOME/.wsjt

if [ ! -d $RUNDIR ]; then
	mkdir -p $RUNDIR $RUNDIR/RxWav
fi

if [ ! -f $RUNDIR/CALL3.TXT ]; then
	zcat $PWD/share/wsjt/CALL3.TXT.gz > $RUNDIR/CALL3.TXT
fi
if [ ! -f $RUNDIR/TSKY.DAT ]; then
	zcat $PWD/share/wsjt/TSKY.DAT.gz > $RUNDIR/TSKY.DAT
fi
if [ ! -f $RUNDIR/wsjtrc ]; then
	cp $PWD/share/wsjt/wsjtrc $RUNDIR
fi

# WSJT needs to now run from $HOME/.wsjt with PYTHONPATH updated
# to find the shared library

cd $RUNDIR
#env PYTHONPATH=/data/apps/wsjt9 python /data/apps/wsjt9/wsjt.py
env PYTHONPATH=/data/apps/wsjt97r3639 python /data/apps/wsjt97r3639/wsjt.py

